<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Registro Alumno</title>
        <h:outputStylesheet name="style.css" library="css" /> 
    </h:head>
    <h:body>
                <ui:composition template="./participante.xhtml">
                    <ui:define name="content"> 


                        <p:fieldset legend="Ficha de Identificacion Clinica USAM">
                            <h:form id="formRegistro">
                                <p:growl id="msg" />
                                <p:fieldset legend="Identificación" id="identificacion" style="margin-bottom:10px">
                                    <h:panelGrid columns="4" cellpadding="5" cellspacing="7" style="width: 95%">
                                        <p:outputLabel for="fechaRegistro" value="Fecha de Elaboración"/>
                                        <p:calendar id="fechaRegistro" value="#{registroAlumnoController.alumno.fecharegistro}" style="width:91%" locale="es" pattern="dd-MM-yyyy HH:mm" required="true" requiredMessage="Fecha Requerido"/>

                                        <p:outputLabel for="nombres" value="Nombre Completo "/>
                                        <p:inputText id="nombres" value="#{registroAlumnoController.alumno.nombres}"  style="width:91%" required="true" requiredMessage="Campo Nombres Requerido"/>
                                        <p:outputLabel for="carnet" value="Carnet"/>
                                        <p:inputMask required="true" id="carnet" mask="999999" value="#{registroAlumnoController.alumno.carnet}" style="width:91%" requiredMessage="Campo Carnet Requerido"/>


                                        <p:outputLabel for="edad" value="Edad"/>
                                        <p:inputText maxlength="2" type="" id="edad" value="#{registroAlumnoController.alumno.edad}"  style="width:91%" required="true" requiredMessage="Campo Edad Requerido"/>

                                        <p:outputLabel for="facultad" value="Facultad"  />
                                        <p:selectOneMenu id="facultad" value="#{registroAlumnoController.facultad.id}" style="width:91%" required="true" requiredMessage="Facultad requerida">
                                            <p:ajax listener="#{registroAlumnoController.carreraFacu()}" update="carre" />
                                            <f:selectItem itemLabel="Seleccione Facultad" itemValue="" noSelectionOption="true" />
                                            <f:selectItems value="#{facultadController.listaFacultad}" var="fac" itemLabel="#{fac.facultad}" itemValue="#{fac.id}"/>
                                        </p:selectOneMenu>
                                        <p:outputLabel for="carre" value="Carrera " />
                                        <p:selectOneMenu id="carre" value="#{registroAlumnoController.carrera.id}"  style="width:91%" required="true" requiredMessage="Campo Carrera Requerido">
                                            <f:selectItem itemLabel="Seleccione Carrera" itemValue="" noSelectionOption="true" />
                                            <f:selectItems value="#{registroAlumnoController.carreList}" var="car" itemLabel="#{car.carrera}" itemValue="#{car.id}"/>
                                        </p:selectOneMenu>

                                        <p:outputLabel for="genero" value="Género"/>
                                        <p:selectOneMenu id="genero" value="#{registroAlumnoController.genero.id}" style="width:91%" required="true" requiredMessage="Genero requerido" >
                                            <p:ajax listener="#{registroAlumnoController.ajaxGenero()}" event="change" update="menarca,fum"></p:ajax>
                                            <f:selectItem itemLabel="Seleccione Genero" itemValue="" noSelectionOption="true" />
                                            <f:selectItems value="#{generoController.lista}" var="genero" itemValue="#{genero.id}" itemLabel="#{genero.genero}"/>
                                        </p:selectOneMenu>
                                        <p:outputLabel for="estado" value="Estado Civil"/>
                                        <p:selectOneMenu id="estado" value="#{registroAlumnoController.estado_civil.id}"  style="width:91%" required="true" requiredMessage="Estado civil requerido">
                                            <f:selectItem itemLabel="Seleccione Estado Civil" itemValue="" noSelectionOption="true" />
                                            <f:selectItems value="#{estado_civilController.lista}" var="estado" itemValue="#{estado.id}" itemLabel="#{estado.estado}"/>
                                        </p:selectOneMenu>
                                        <p:outputLabel for="departamento" value="Departamento"  />
                                        <p:selectOneMenu id="departamento" value="#{registroAlumnoController.departamento.id}" style="width:91%" required="true" requiredMessage="Departamento requerido">
                                            <p:ajax listener="#{registroAlumnoController.municipioDepa()}" update="muni" />
                                            <f:selectItem itemLabel="Seleccione Departamento" itemValue="" noSelectionOption="true" />
                                            <f:selectItems value="#{departamentoController.lista}" var="dep" itemLabel="#{dep.departamento}" itemValue="#{dep.id}"/>
                                        </p:selectOneMenu>
                                        <p:outputLabel for="muni" value="Municipio "  />
                                        <p:selectOneMenu id="muni" value="#{registroAlumnoController.municipio.id}" style="width:91%" required="true" requiredMessage="Municipio requerido">
                                            <f:selectItem itemLabel="Seleccione Municipio" itemValue="" noSelectionOption="true" />
                                            <f:selectItems value="#{registroAlumnoController.muniList}" var="mun" itemLabel="#{mun.municipio}" itemValue="#{mun.id}"/>
                                        </p:selectOneMenu>
                                    </h:panelGrid>
                                </p:fieldset>
                          

                                <p:fieldset legend="Antecedentes Heredofamiliares" style="margin-bottom:10px">
                                    <h:panelGrid columns="2" cellpadding="2" cellspacing="7" >
                                        <p:outputLabel for="ante" value="Seleccione Antecedente Heredo Familiar"/> 
                                        <p:selectManyCheckbox id="ante" required="true" value="#{registroAlumnoController.selectAnteHeredo}" label="Seleccione antecedentes">
                                            <p:ajax listener="#{registroAlumnoController.esOtroAnte()}" event="change"/>
                                            <f:selectItems id="antes" value="#{antecedenteFamiliarController.listaAntecedente}" var="ant" itemValue="#{ant.id}" itemLabel="#{ant.antecedente_f}"/>

                                        </p:selectManyCheckbox>
                                        <p:outputLabel for="otro" value="Especifique"/>
                                        <p:inputText id="otro" required="true" value="#{registroAlumnoController.heredo_alumno.descripcion}" disabled="#{registroAlumnoController.esOtro==false}" style="width:40%" requiredMessage="Descripcion requerido"/>
                                        <p:outputLabel for="cancer" value="Seleccione Tipo de Cáncer"/>
                                        <p:selectOneMenu id="cancer" value="#{registroAlumnoController.tipo_cancer.id}" disabled="#{registroAlumnoController.esCancer==false}"  style="width:40%" required="true" requiredMessage="Tipo de cancer requerido">
                                            <f:selectItems value="#{tipo_cancerController.listaTipo_cancer}" var="canc" itemValue="#{canc.id}" itemLabel="#{canc.tipo}"/>
                                        </p:selectOneMenu>
                                    </h:panelGrid>
                                </p:fieldset>
                           
                                <p:fieldset legend="Antecedentes Personales" style="margin-bottom:10px">
                                    <h:panelGrid columns="2"  cellpadding="2" cellspacing="15"  style="width: 50%;">
                                        <p:outputLabel value="Antecedentes personales"/>
                                        <p:selectManyCheckbox value="#{registroAlumnoController.manyChecbox}" required="true" requiredMessage="Antecedentes personales requerido">
                                            <p:ajax listener="#{registroAlumnoController.ajaxChecBox()}" update="descripcion"/>
                                            <f:selectItems value="#{ante_personalController.ante_personalList}" var="ap" itemLabel="#{ap.antecedente_p}" itemValue="#{ap.id}" itemDisabled="#{registroAlumnoController.check==true}" />
                                        </p:selectManyCheckbox>
                                        <p:outputLabel value="Descripción"/>
                                        <p:inputText id="descripcion" value="#{registroAlumnoController.ante_alumno.descripcion}" disabled="#{registroAlumnoController.controlCheck==false}" />
                                    </h:panelGrid>
                                </p:fieldset>
                            
                                <p:fieldset legend="Ecológico Social" style="margin-bottom:10px">
                                    <h:panelGrid columns="2" cellpadding="5" cellspacing="7" >
                                        <p:outputLabel value="Tipo de Agua"/>
                                        <p:selectOneRadio value="#{registroAlumnoController.tipo_Agua.id}" required="true">
                                            <f:selectItems value="#{tipo_aguaController.lista}" var="tipoagua" itemLabel="#{tipoagua.tipo}" itemValue="#{tipoagua.id}"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel value="Construcción de Pared"/>
                                        <p:selectOneRadio value="#{registroAlumnoController.cons_pared.id}" required="true">
                                            <f:selectItems value="#{cons_paredController.lista}" var="tipopared" itemLabel="#{tipopared.tipo}" itemValue="#{tipopared.id}"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel value="Tipo de Techo"/>
                                        <p:selectOneRadio value="#{registroAlumnoController.tipo_Techo.id}" required="true">
                                            <f:selectItems value="#{tipo_TechoController.lista}" var="tipotecho" itemLabel="#{tipotecho.tipo}" itemValue="#{tipotecho.id}"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel value="Tipo de Piso"/>
                                        <p:selectOneRadio value="#{registroAlumnoController.tipo_piso.id}" required="true">
                                            <f:selectItems value="#{tipo_pisoController.tipo_pisoList}" var="tipopiso" itemLabel="#{tipopiso.tipo}" itemValue="#{tipopiso.id}"/>
                                        </p:selectOneRadio>

                                        <p:outputLabel value="Seleccione Mascota "/>
                                        <p:selectManyCheckbox columns="3" value="#{registroAlumnoController.selectMascotas}" label="Seleccione Mascotas" required="true">
                                            <f:selectItems id="renOtros"  value="#{mascotaController.listamascota}" var="mascota" itemValue="#{mascota.id}" itemLabel="#{mascota.especie}"/>
                                            <p:ajax update="ren" listener="#{registroAlumnoController.descripcion()}"/>
                                        </p:selectManyCheckbox>
                                        <p:outputLabel value="Descripción"/>
                                        <p:inputText id="ren" value="#{registroAlumnoController.ecologico_Mascota.descripcion}" disabled="#{registroAlumnoController.des==false}"/>

                                        <p:outputLabel value="Vivienda"/><br/>
                                        <p:outputLabel value="N° de Habitantes"/>
                                        <p:inputText type="number" value="#{registroAlumnoController.vivienda.habitante}" required="true"/>

                                        <p:outputLabel value="N° de Habitaciones"/>
                                        <p:inputText value="#{registroAlumnoController.vivienda.habitacion}" required="true"/>

                                        <p:outputLabel value="N° de Baños"/>
                                        <p:inputText value="#{registroAlumnoController.vivienda.banio}" required="true"/>
                                    </h:panelGrid>
                                </p:fieldset>
                       

                                <p:fieldset legend="Antecedentes de Riesgo" style="margin-bottom:10px">
                                    <h:panelGrid columns="6">
                                        <p:outputLabel value="Tabaquismo: "/>
                                        <p:selectOneRadio value="#{registroAlumnoController.riesgo_Alumno.tabaquismo}" required="true">
                                            <f:selectItem itemValue="Si" itemLabel="Si"/>
                                            <f:selectItem itemValue="No" itemLabel="No"/>
                                            <p:ajax listener="#{registroAlumnoController.ajaxTabaquismo}" update="ncigarro"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel value="N° de cigarrilos/semana"/>
                                        <p:inputText required="true" id="ncigarro" disabled="#{registroAlumnoController.cigarros==false}" value="#{registroAlumnoController.riesgo_Alumno.ncigarros}" />
                                        <p:outputLabel/>
                                        <p:outputLabel/>
                                        <p:outputLabel value="Alcoholismo: "/>
                                        <p:selectOneRadio value="#{registroAlumnoController.riesgo_Alumno.alcoholismo}" required="true">
                                            <f:selectItem itemValue="Si" itemLabel="Si"/>
                                            <f:selectItem itemValue="No" itemLabel="No"/>
                                            <p:ajax listener="#{registroAlumnoController.ajaxAlchoholismo()}" update="alcho"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel value="Frecuencia: " />
                                        <p:selectOneRadio  required="true" id="alcho" value="#{registroAlumnoController.riesgo_Alumno.frecuencia}" disabled="#{registroAlumnoController.alcho==false}">
                                            <f:selectItem itemValue="Ocasional" itemLabel="Ocasional"/>
                                            <f:selectItem itemValue="Mensual" itemLabel="Mensual"/>
                                            <f:selectItem itemValue="Fin de Semana" itemLabel="Fin de Semana"/>
                                            <f:selectItem itemValue="Diario" itemLabel="Diario"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel/>
                                        <p:outputLabel/>
                                        <p:outputLabel value="Toxicomanias: "/>
                                        <p:selectOneRadio value="#{registroAlumnoController.riesgo_Alumno.toxicomonia}" required="true">
                                            <f:selectItem itemValue="Si" itemLabel="Si"/>
                                            <f:selectItem itemValue="No" itemLabel="No"/>
                                            <p:ajax listener="#{registroAlumnoController.ajaxToxicomania()}" update="taxi"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel value="Frecuencia: " />
                                        <p:selectOneRadio required="true"  id="taxi" value="#{registroAlumnoController.riesgo_Alumno.frecuenciataxi}" disabled="#{registroAlumnoController.taxi==false}">
                                            <f:selectItem itemValue="Ocasional" itemLabel="Ocasional"/>
                                            <f:selectItem itemValue="Mensual" itemLabel="Mensual"/>
                                            <f:selectItem itemValue="Fin de Semana" itemLabel="Fin de Semana"/>
                                            <f:selectItem itemValue="Diario" itemLabel="Diario"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel  value="Tipo: "/>
                                        <p:inputText required="true" id="tipotaxi" value="#{registroAlumnoController.riesgo_Alumno.tipotoxico}" disabled="#{registroAlumnoController.taxi==false}"/>
                                        <p:outputLabel value="Violencia: "/>
                                        <p:selectOneRadio value="#{registroAlumnoController.riesgo_Alumno.violencia}" required="true">
                                            <f:selectItem itemValue="Si" itemLabel="Si"/>
                                            <f:selectItem itemValue="No" itemLabel="No"/>
                                            <p:ajax listener="#{registroAlumnoController.ajaxViolencia}" update="violencia"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel value="Tipo violencia: " />
                                        <p:selectOneRadio required="true"  value="#{registroAlumnoController.riesgo_Alumno.tipoviolencia}" disabled="#{registroAlumnoController.violencia==false}" id="violencia">
                                            <f:selectItem itemValue="Fisica" itemLabel="Fisica"/>
                                            <f:selectItem itemValue="Verbal" itemLabel="Verbal"/>
                                            <f:selectItem itemValue="Bulling" itemLabel="Bulling"/>
                                            <f:selectItem itemValue="Sexual" itemLabel="Sexual"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel/>
                                        <p:outputLabel/>
                                        <p:outputLabel value="Ansiedad"/>
                                        <p:selectOneRadio required="true"  value="#{registroAlumnoController.riesgo_Alumno.ansiedad}">
                                            <f:selectItem itemValue="Si" itemLabel="Si"/>
                                            <f:selectItem itemValue="No" itemLabel="No"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel/>
                                        <p:outputLabel/>
                                        <p:outputLabel/>
                                        <p:outputLabel/>
                                        <p:outputLabel  value="Depresion"/>
                                        <p:selectOneRadio required="true"  value="#{registroAlumnoController.riesgo_Alumno.depresion}">
                                            <f:selectItem itemValue="Si" itemLabel="Si"/>
                                            <f:selectItem itemValue="No" itemLabel="No"/>
                                        </p:selectOneRadio>
                                    </h:panelGrid>
                                </p:fieldset>
                                



                                <p:fieldset legend="Otros Antecedentes" style="margin-bottom:10px">
                                    <h:panelGrid columns="2" cellpadding="5" cellspacing="7" >
                                        <p:outputLabel value="Inmunización"/>
                                        <p:selectOneRadio value="#{registroAlumnoController.otro_Antecedente.inmunizacion}" required="true" requiredMessage="Inmunizacion requerido">
                                            <f:selectItem itemValue="Completo" itemLabel="Completo"/>
                                            <f:selectItem itemValue="Incompleto" itemLabel="Incompleto"/>
                                            <f:selectItem itemValue="Ninguno" itemLabel="Ninguno"/>
                                        </p:selectOneRadio>
                                        <p:outputLabel  value="Menarca :"/>
                                        <p:calendar locale="es" id="menarca" value="#{registroAlumnoController.otro_Antecedente.menarca}" disabled="#{registroAlumnoController.menarca==false}" required="true" requiredMessage="Campo menarca requerido" pattern="dd-MM-yyyy"></p:calendar>
                                        <p:outputLabel  value="FUM :"/>
                                        <p:calendar locale="es" id="fum" value="#{registroAlumnoController.otro_Antecedente.fum}" disabled="#{registroAlumnoController.fum==false}" required="true" requiredMessage="Campo Fum requerido" pattern="dd-MM-yyyy"></p:calendar>

                                        <p:outputLabel value="Tipo de Sangre: "/>
                                        <p:selectOneRadio value="#{registroAlumnoController.tipo_sangre.id}" required="true" requiredMessage="Campo Tipo Sangre requerido">
                                            <f:selectItems value="#{tipo_sangreController.lista_de_tipo_sangre}" var="tipos" itemLabel="#{tipos.tipo}" itemValue="#{tipos.id}"/>
                                        </p:selectOneRadio>

                                        <p:outputLabel value="Método Anticonceptivo: "/>
                                        <p:selectOneRadio value="#{registroAlumnoController.metodo_anti.id}" required="true" requiredMessage="Campo Metodo Anticonceptivo requerido">
                                            <f:selectItems value="#{metodo_antiController.listaMetodo_anti}" var="metodos" itemLabel="#{metodos.metodo}" itemValue="#{metodos.id}"/>
                                        </p:selectOneRadio>
                                    </h:panelGrid>
                                </p:fieldset>
                        
                                <p:fieldset legend="Diagnóstico" style="margin-bottom:10px">
                                    <h:panelGrid columns="2" cellpadding="5" cellspacing="7" >
                                        <p:outputLabel value="Motivo de Consulta"/>
                                        <p:inputTextarea rows="2" cols="100" value="#{registroAlumnoController.diagnostico.motivo_cons}" required="true" requiredMessage="Campo Motivo requerido" />
                                        <p:outputLabel value="Presente Enfermedad"/>
                                        <p:inputTextarea rows="3" cols="100" value="#{registroAlumnoController.diagnostico.presente_enf}" required="true" requiredMessage="Campo Presente Enfermedad requerido"/>
                                    </h:panelGrid>

                                    <h:panelGrid columns="4" cellpadding="5" cellspacing="7" style="width:57.8%" >
                                        <p:outputLabel value="Peso"/>
                                        <p:inputNumber style="margin:0;" value="#{registroAlumnoController.signo_vital.peso}" required="true" requiredMessage="Campo Peso requerido" symbol=" kg" symbolPosition="s">
                                            <p:ajax listener="#{registroAlumnoController.imcUpdatePeso()}"  update="imc"/>
                                        </p:inputNumber>
                                        <p:outputLabel value="Talla"/>
                                        <p:inputNumber value="#{registroAlumnoController.signo_vital.talla}" required="true" requiredMessage="Campo Talla requerido" symbol=" m" symbolPosition="s">
                                            <p:ajax listener="#{registroAlumnoController.imcUpdatePeso()}" update="imc"/>
                                        </p:inputNumber>
                                        <p:outputLabel  value="IMC (Peso/talla x talla)"/>
                                        <p:inputText  id="imc" value="#{registroAlumnoController.signo_vital.imc}" readonly="true" />
                                        <p:outputLabel value="FC"/>
                                        <p:inputNumber value="#{registroAlumnoController.signo_vital.fc}" required="true" requiredMessage="Campo FC requerido"  symbol=" lat./min" symbolPosition="s"/>
                                        <p:outputLabel value="FR"/>
                                        <p:inputNumber style="margin:0;" value="#{registroAlumnoController.signo_vital.fr}" required="true" requiredMessage="Campo FR requerido" symbol=" ciclos/min" symbolPosition="s"/>
                                        <p:outputLabel value="T°"/>
                                        <p:inputNumber value="#{registroAlumnoController.signo_vital.temp}" required="true" requiredMessage="Campo T° requerido" symbol=" °c" symbolPosition="s"/>
                                    </h:panelGrid>

                                    <h:panelGrid columns="2" cellpadding="5" cellspacing="7" >

                                        <p:outputLabel value="Exploración General"/>
                                        <p:inputTextarea rows="3" cols="100" value="#{registroAlumnoController.diagnostico.exp_general}" required="true" requiredMessage="Campo Exploracion requerido"/>
                                        <p:outputLabel value="Exámenes"/>
                                        <p:inputTextarea  rows="3" cols="100" value="#{registroAlumnoController.diagnostico.examenes}" required="true" requiredMessage="Campo Examenes requerido"/>
                                        <p:outputLabel value="Impresión Diagnóstica"/>
                                        <p:inputTextarea rows="3" cols="100" value="#{registroAlumnoController.diagnostico.impresion_diag}"/>
                                        <p:outputLabel value="Tratamiento"/> 
                                        <p:inputTextarea  rows="3" cols="100" value="#{registroAlumnoController.diagnostico.tratamiento}" required="true" requiredMessage="Campo Tratamiento requerido"/>
                                        <p:outputLabel value="Médico que registro"/>
                                        <p:selectOneMenu value="#{registroAlumnoController.usuario.id}" required="true">
                                            <f:selectItems value="#{usuarioController.lista_usuario}" var="us" itemLabel="#{us.medico}" itemValue="#{us.id}"/>
                                        </p:selectOneMenu>
                                        <p:outputLabel for="termino" value="Acepta los términos de investigación"/>
                                        <p:selectOneRadio id="termino" value="#{registroAlumnoController.alumno.acuerdo}" required="true" requiredMessage="Campo Requerido">
                                            <f:selectItem itemValue="SI" itemLabel="SI"/>
                                            <f:selectItem itemValue="NO" itemLabel="NO"/>
                                        </p:selectOneRadio>
                                    </h:panelGrid>
                                </p:fieldset>
                             
                                <div class="guar" style="margin-bottom:60px"> 
                                    <p:commandButton icon="pi pi-save" value="Guardar" actionListener="#{registroAlumnoController.insertar()}" update="msg,formRegistro" style="margin-left: 29rem; width:120px"/>
                                </div>
                            </h:form>
                        </p:fieldset>


                        <script type="text/javascript">
                            PrimeFaces.locales['es'] = {
                                closeText: 'Cerrar',
                                prevText: 'Anterior',
                                nextText: 'Siguiente',
                                monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
                                monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                                dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
                                dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'],
                                dayNamesMin: ['Do', 'Lu', 'Ma', 'Mi', 'Ju', 'Vi', 'Sa'],
                                weekHeader: 'Semana',
                                firstDayOfWeek: 1,
                                isRTL: false,
                                showMonthAfterYear: false,
                                yearSuffix: '',
                                timeOnlyTitle: 'Sólo hora',
                                timeText: 'Tiempo',
                                hourText: 'Hora',
                                minuteText: 'Minuto',
                                secondText: 'Segundo',
                                currentText: 'Fecha actual',
                                ampm: false,
                                month: 'Mes',
                                week: 'Semana',
                                day: 'Día',
                                allDayText: 'Todo el día'
                            };
                        </script>

                    </ui:define>
                </ui:composition>
    </h:body>
</html>

